Cant install rubinius in 1.9 mode #935

Closed
activestylus opened this Issue Apr 28, 2012 · 4 comments

2 participants

@activestylus

No problem at all installing plain rubinius. But when I add the --1.9 flag, nothing happens. I updated rvm from source just to be sure I was current, but all I get is this:

$ rvm install rbx --1.9
-bash: $: command not found
@mpapis mpapis was assigned Apr 28, 2012
@mpapis
Ruby enVironment Manager member

please gist a bigger context, is it the only displayed information? also make sure to test with rvm get head.

also I just found bug in rubinius that always returns success status even if rake install fails.

@activestylus

That is all the feedback I get unfortunately - no errors or anything. Just silent failure. My rvm is running off head at the moment.

@mpapis
Ruby enVironment Manager member

please test with rvm get head I have a feeling it might be fixed there ... but if it is not please show me gist of:

 rvm --trace install rbx --1.9 2>&1
@activestylus

Well something was seriously wrong with my rvm setup - out of nowhere it was giving me permission issues. I never had to sudo before but apparently this time I did (???) anyways I nuked my install and repaired permissions on my machine. Got a fresh copy of rvm and it installed everything perfectly. Thanks for your help, the --trace flag will definitely save my bacon in the future.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment